Package org.apache.torque.util.functions

## Class AvgTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.torque.util.functions.AvgTest

- All Implemented Interfaces:
    `junit.framework.Test`

      public class AvgTest
      extends junit.framework.TestCase

  Tests the Avg class.
  Version:
    $Id: AvgTest.java 1448414 2013-02-20 21:06:35Z tfischer $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AvgTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testAvg()` | Tests the avg constructor with a column returns the correct SQL.
    `void` | `testAvgFromString()` | Tests the avg constructor with a column returns the correct SQL.
    `void` | `testAvgWithDistinct()` | Tests the avg constructor with distinct returns the correct SQL.
    `void` | `testSetFunction()` | tests that setFunction throws a

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AvgTest

          public AvgTest()

  - ### Method Detail

    - #### testAvg

          public void testAvg()

      Tests the avg constructor with a column returns the correct SQL.

    - #### testAvgFromString

          public void testAvgFromString()

      Tests the avg constructor with a column returns the correct SQL.

    - #### testAvgWithDistinct

          public void testAvgWithDistinct()

      Tests the avg constructor with distinct returns the correct SQL.

    - #### testSetFunction

          public void testSetFunction()

      tests that setFunction throws a